# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-phacter
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# sitelib for noarch packages
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Name:           python-module-phacter
Version:        0.2.0
Release:        alt1_15
Summary:        System fact look up tool

Group:          System/Base
License:        GPLv2
URL:            https://github.com/radez/phacter
# source tarball can also be generated with ./setup.py rpm
Source0:        http://radez.fedorapeople.org/%{oldname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel, python-module-setuptools, python-module-netifaces


%global _description\
A python tool to report system facts\

Source44: import.info


%description %_description

%prep
%setup -q -n %{oldname}-%{version}


%build
%{__python} setup.py build


%install
mkdir -p $RPM_BUILD_ROOT/%{_sharedstatedir}/phacter/
mkdir -p %{buildroot}%{_mandir}/man1/

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
cp phacter.1 %{buildroot}%{_mandir}/man1/phacter.1



%files -n python-module-phacter
%doc AUTHORS COPYING LICENSE
%doc %{_mandir}/man1/phacter.1*
%{_bindir}/phacter
%{python_sitelibdir_noarch}/*
%dir %{_sharedstatedir}/phacter


%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_14
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_11
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_7
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_4
- initial fc import

